# Video Tracking

```java
Tracker.trackVideo(
    "/video/123",       // viewId
    "My Video",         // viewTitle
    "https://...jpg",   // thumbnail (may be null)
    0L,                 // engagedTime (seconds)
    300_000L,           // duration (milliseconds)
    "s2",               // playState — see below
    0L,                 // contentTime (seconds)
    0L                  // playerTime (milliseconds)
);

Tracker.updateVideoPlayState("s2", 300_000L, 12L, 45L, 45_000L);
```

**Play states**

| Value | Meaning          |
| ----- | ---------------- |
| s1    | Unplayed         |
| s2    | Played           |
| s3    | Paused / stopped |
| s4    | Finished         |

#### Example URL from Video Tracking:

`https://ping.chartbeat.net/ping?h=video@androidsdktest.chartbeat.com&p=/korean-peace-talks.html&u=ZVEmdQVqqa00J71RvO&d=androidsdktest.chartbeat.com&g=1&_acct=anon&n=0&f=F0001&c=4.75&j=30&R=1&W=0&I=0&E=0&e=0&v=/&t=iDg9zmv4Loy0zmVOLd7-heiOfhvyE5&V=2013&D=ssShUwV_bK51dFzrQFHtCGtOyCMLbL&i=Sec. Schwartz Attends Korean Peace Talks&tz=-240&S=426&Z=1&sr=push/?id%3D123456a&sd=2&sv=fbgnceXLZMJwM2wgCUftDJopJb8D&_vs=s1&_vd=62315&_vpt=0&_vce=0&_vt=at&_vp=/korean-peace-talks.html&_vi=Sec. Schwartz Attends Korean Peace Talks&_`

**Breakdown:**

```
https://ping.chartbeat.net/ping?
h=video@androidsdktest.chartbeat.com
p=/korean-peace-talks.html
u=ZVEmdQVqqa00J71RvO
d=androidsdktest.chartbeat.com
g=1
_acct=anon
n=0
f=F0001
c=4.75
j=30
R=1
W=0
I=0
E=0
e=0
v=/
t=iDg9zmv4Loy0zmVOLd7-heiOfhvyE5
V=2013
D=ssShUwV_bK51dFzrQFHtCGtOyCMLbL
i=Sec.%20Schwartz%20Attends%20Korean%20Peace%20Talks
tz=-240
S=426
Z=1
sr=push/?id%3D123456a
sd=2
sv=fbgnceXLZMJwM2wgCUftDJopJb8D
_vs=s1
_vd=62315
_vpt=0
_vce=0
_vt=at
_vp=/korean-peace-talks.html
_vi=Sec.%20Schwartz%20Attends%20Korean%20Peace%20Talks
_
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chartbeat.com/cbp/tracking/mobile-app-sdks/android-sdk/video-tracking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
